Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class KeyIterator

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.patterns.NodeTest
                  |
                  +--weblogic.apache.xpath.axes.PredicatedNodeTest
                        |
                        +--weblogic.apache.xpath.axes.LocPathIterator
                              |
                              +--weblogic.apache.xpath.axes.WalkingIterator
                                    |
                                    +--weblogic.apache.xalan.transformer.KeyIterator

public class KeyIterator
extends WalkingIterator

This class implements an optimized iterator for "key()" patterns. This iterator incrementally walks the source tree and finds all the nodes that match a given key name and match pattern.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.axes.WalkingIterator
`m_firstWalker, m_lastUsedWalker`

Fields inherited from class weblogic.apache.xpath.axes.LocPathIterator
`m_cdtm, m_clones, m_context, m_currentContextNode, m_execContext, m_last, m_lastFetched, m_next, m_prefixResolver`

Fields inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`m_foundLast, m_lpi, m_predCount, m_proximityPositions`

Fields inherited from class weblogic.apache.xpath.patterns.NodeTest
`m_name, m_whatToShow, SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`KeyIterator(int doc, PrefixResolver nscontext, QName name, java.util.Vector keyDeclarations, XPathContext xctxt)` Constructor KeyIterator

Method Summary
`java.util.Vector` | `getKeyDeclarations()` Get the key declarations from the stylesheet
`QName` | `getName()` Get the key name from a key declaration this iterator will process
`int` | `nextNode()` Returns the next node in the set and advances the position of the iterator in the set.
`void` | `setLookupKey(XMLString lookupKey)` Set the value of the key that this iterator will look for

Methods inherited from class weblogic.apache.xpath.axes.WalkingIterator
`clone, detach, fixupVariables, getFirstWalker, getLastUsedWalker, reset, setLastUsedWalker`

Methods inherited from class weblogic.apache.xpath.axes.LocPathIterator
`allowDetachToRelease, asIterator, asNode, bool, cloneWithReset, execute, findLastPos, getAxis, getCachedNodes, getContext, getCurrentContextNode, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getFilter, getFoundLast, getIsTopLevel, getLast, getLastPos, getLength, getPrefixResolver, getRoot, getWhatToShow, getXPathContext, isDocOrdered, isFresh, isMutable, isNodesetExpr, item, previousNode, returnNextNode, runTo, setCurrentContextNode, setCurrentPos, setEnvironment, setIsTopLevel, setItem, setLast, setNextPosition, setRoot, setShouldCacheNodes, size`

Methods inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`acceptNode, canTraverseOutsideSubtree, countProximityPosition, getLocPathIterator, getPredicateCount, getPredicateIndex, getProximityPosition, getProximityPosition, getProximityPosition, initPredicateInfo, initProximityPosition, isReverseAxes, nodeToString, resetProximityPositions, setLocPathIterator, setPredicateCount`

Methods inherited from class weblogic.apache.xpath.patterns.NodeTest
`calcScore, debugWhatToShow, execute, execute, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class weblogic.apache.xpath.Expression
`assertion, error, executeCharsToContentHandler, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyIterator

    public KeyIterator(int doc,
                       PrefixResolver nscontext,
                       QName name,
                       java.util.Vector keyDeclarations,
                       XPathContext xctxt)

  Constructor KeyIterator

  Parameters:
    `doc` - The document node
    `nscontext` - The prefix resolver for the execution context.
    `name` - The key name
    `keyDeclarations` - The key declarations from the stylesheet
    `xctxt` - The XPath runtime state

Method Detail

### getName

    public QName getName()

  Get the key name from a key declaration this iterator will process

  Returns:
    Key name

### getKeyDeclarations

    public java.util.Vector getKeyDeclarations()

  Get the key declarations from the stylesheet

  Returns:
    Vector containing the key declarations from the stylesheet

### nextNode

    public int nextNode()

  Returns the next node in the set and advances the position of the iterator in the set. After a NodeIterator is created, the first call to nextNode() returns the first node in the set.

  Returns:
    The next `Node` in the set being iterated over, or `null` if there are no more members in that set.
  Overrides:
    nextNode in class WalkingIterator

### setLookupKey

    public void setLookupKey(XMLString lookupKey)

  Set the value of the key that this iterator will look for

  Parameters:
    `lookupKey` - value of the key to look for

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference